    Two-dimensional normalised gaussian function.

normgauss2d
>>> create_model_component("normgauss2d", "mdl")
>>> print(mdl)

Create a component of the normgauss2d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.fwhm thawed 10 1.17549e-38 3.40282e+38 mdl.xpos thawed 0 -3.40282e+38 3.40282e+38 mdl.ypos thawed 0 -3.40282e+38 3.40282e+38 mdl.ellip frozen 0 0 0.999 mdl.theta frozen 0 -6.28319 6.28319 radians mdl.ampl thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
fwhm
The Full-Width Half Maximum of the gaussian along the major axis. It is related to the sigma value by: FWHM = sqrt(8 * log(2)) * sigma.
xpos
The center of the gaussian on the x0 axis.
ypos
The center of the gaussian on the x1 axis.
ellip
The ellipticity of the gaussian.
theta
The angle of the major axis. It is in radians, measured counter-clockwise from the X0 axis (i.e. the line X1=0).
ampl
The amplitude refers to the integral of the model over the range -infinity to infinity for both axes.

Notes

The functional form of the model for points is:

f(x0,x1) = 4 * log(2) * ampl * exp(-4 * log(2) * r(x0,x1)^2) ------------------------------------------------- pi * fwhm * fwhm * sqrt(1 - ellip * ellip)

r(x0,x1)^2 = xoff(x0,x1)^2 * (1-ellip)^2 + yoff(x0,x1)^2 ------------------------------------------- fwhm^2 * (1-ellip)^2

xoff(x0,x1) = (x0 - xpos) * cos(theta) + (x1 - ypos) * sin(theta)

yoff(x0,x1) = (x1 - ypos) * cos(theta) - (x0 - xpos) * sin(theta)

The grid version is evaluated by adaptive multidimensional integration scheme on hypercubes using cubature rules, based on code from HIntLib ( [1] ) and GSL ( [2] ).

References

[1] HIntLib - High-dimensional Integration Library http://mint.sbg.ac.at/HIntLib/
[2] GSL - GNU Scientific Library http://www.gnu.org/software/gsl/

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023